Index: vanHelsing/trunk/gui/src/de/dass_it/vanhelsing/gui/items/DirectorItem.java
===================================================================
--- vanHelsing/trunk/gui/src/de/dass_it/vanhelsing/gui/items/DirectorItem.java	(revision 848)
+++ vanHelsing/trunk/gui/src/de/dass_it/vanhelsing/gui/items/DirectorItem.java	(revision 858)
@@ -2,181 +2,392 @@
 
 public class DirectorItem extends ItemType implements UserObjectItem{
-	 private String name;
-	 private String description;
-	 private String password;
-	 private String messages;
-	 private String workingDirectory;
-	 private String pidDirectory;
-	 private String scriptsDirectory;
-	 private String queryFile;
-	 private String heartbeatInterval;
-	 private String maximumConcurrentJobs;
-	 private String fdConnectTimeout;
-	 private String sdConnectTimeout;
-	 private String dirAddresses;
-	 private String dirPort;
-	 private String dirAddress;
-	 private String dirSourceAddress;
-	 private String statisticsRetention;
-	 private String verId;
-	 private String maxConsoleConnections;
+	 /**
+	 * @uml.property  name="name"
+	 */
+	private String name;
+	 /**
+	 * @uml.property  name="description"
+	 */
+	private String description;
+	 /**
+	 * @uml.property  name="password"
+	 */
+	private String password;
+	 /**
+	 * @uml.property  name="messages"
+	 */
+	private String messages;
+	 /**
+	 * @uml.property  name="workingdirectory"
+	 */
+	private String workingdirectory;
+	 /**
+	 * @uml.property  name="piddirectory"
+	 */
+	private String piddirectory;
+	 /**
+	 * @uml.property  name="scriptsdirectory"
+	 */
+	private String scriptsdirectory;
+	 /**
+	 * @uml.property  name="queryfile"
+	 */
+	private String queryfile;
+	 /**
+	 * @uml.property  name="heartbeatinterval"
+	 */
+	private String heartbeatinterval;
+	 /**
+	 * @uml.property  name="maximumconcurrentjobs"
+	 */
+	private String maximumconcurrentjobs;
+	 /**
+	 * @uml.property  name="fdconnecttimeout"
+	 */
+	private String fdconnecttimeout;
+	 /**
+	 * @uml.property  name="sdconnecttimeout"
+	 */
+	private String sdconnecttimeout;
+	 /**
+	 * @uml.property  name="diraddresses"
+	 */
+	private String diraddresses;
+	 /**
+	 * @uml.property  name="dirport"
+	 */
+	private String dirport;
+	 /**
+	 * @uml.property  name="diraddress"
+	 */
+	private String diraddress;
+	 /**
+	 * @uml.property  name="dirsourceaddress"
+	 */
+	private String dirsourceaddress;
+	 /**
+	 * @uml.property  name="statisticsretention"
+	 */
+	private String statisticsretention;
+	 /**
+	 * @uml.property  name="verid"
+	 */
+	private String verid;
+	 /**
+	 * @uml.property  name="maxconsoleconnections"
+	 */
+	private String maxconsoleconnections;
 
 	 public DirectorItem(){}
 
-	 public DirectorItem(String name, String password, String messages, String workingDirectory, 
-			 String pidDrectory, String queryFile){
+	 public DirectorItem(String name, String password, String messages, String workingdirectory, 
+			 String piddrectory, String queryfile){
 		
 	 }
 
+	/**
+	 * @return
+	 * @uml.property  name="name"
+	 */
+	public String getName() {
+		return name;
+	}
+
+	/**
+	 * @param name
+	 * @uml.property  name="name"
+	 */
 	public void setName(String name) {
 		this.name = name;
 	}
 
-	public String getName() {
-		return name;
-	}
+	/**
+	 * @return
+	 * @uml.property  name="description"
+	 */
 	public String getDescription() {
-			return description;
-		}
-
+		return description;
+	}
+
+	/**
+	 * @param description
+	 * @uml.property  name="description"
+	 */
 	public void setDescription(String description) {
-			this.description = description;
-	}
-
-		public String getPassword() {
-			return password;
-		}
-
-		public void setPassword(String password) {
-			this.password = password;
-		}
-
-		public String getMessages() {
-			return messages;
-		}
-
-		public void setMessages(String messages) {
-			this.messages = messages;
-		}
-
-		public String getWorkingDirectory() {
-			return workingDirectory;
-		}
-
-		public void setWorkingDirectory(String workingDirectory) {
-			this.workingDirectory = workingDirectory;
-		}
-
-		public String getPidDirectory() {
-			return pidDirectory;
-		}
-
-		public void setPidDirectory(String pidDirectory) {
-			this.pidDirectory = pidDirectory;
-		}
-
-		public String getScriptsDirectory() {
-			return scriptsDirectory;
-		}
-
-		public void setScriptsDirectory(String scriptsDirectory) {
-			this.scriptsDirectory = scriptsDirectory;
-		}
-
-		public String getQueryFile() {
-			return queryFile;
-		}
-
-		public void setQueryFile(String queryFile) {
-			this.queryFile = queryFile;
-		}
-
-		public String getHeartbeatInterval() {
-			return heartbeatInterval;
-		}
-
-		public void setHeartbeatInterval(String heartbeatInterval) {
-			this.heartbeatInterval = heartbeatInterval;
-		}
-
-		public String getMaximumConcurrentJobs() {
-			return maximumConcurrentJobs;
-		}
-
-		public void setMaximumConcurrentJobs(String maximumConcurrentJobs) {
-			this.maximumConcurrentJobs = maximumConcurrentJobs;
-		}
-
-		public String getFdConnectTimeout() {
-			return fdConnectTimeout;
-		}
-
-		public void setFdConnectTimeout(String fdConnectTimeout) {
-			this.fdConnectTimeout = fdConnectTimeout;
-		}
-
-		public String getSdConnectTimeout() {
-			return sdConnectTimeout;
-		}
-
-		public void setSdConnectTimeout(String sdConnectTimeout) {
-			this.sdConnectTimeout = sdConnectTimeout;
-		}
-
-		public String getDirAddresses() {
-			return dirAddresses;
-		}
-
-		public void setDirAddresses(String dirAddresses) {
-			this.dirAddresses = dirAddresses;
-		}
-
-		public String getDirPort() {
-			return dirPort;
-		}
-
-		public void setDirPort(String dirPort) {
-			this.dirPort = dirPort;
-		}
-
-		public String getDirAddress() {
-			return dirAddress;
-		}
-
-		public void setDirAddress(String dirAddress) {
-			this.dirAddress = dirAddress;
-		}
-
-		public String getDirSourceAddress() {
-			return dirSourceAddress;
-		}
-
-		public void setDirSourceAddress(String dirSourceAddress) {
-			this.dirSourceAddress = dirSourceAddress;
-		}
-
-		public String getStatisticsRetention() {
-			return statisticsRetention;
-		}
-
-		public void setStatisticsRetention(String statisticsRetention) {
-			this.statisticsRetention = statisticsRetention;
-		}
-
-		public String getVerId() {
-			return verId;
-		}
-
-		public void setVerId(String verId) {
-			this.verId = verId;
-		}
-
-		public String getMaxConsoleConnections() {
-			return maxConsoleConnections;
-		}
-
-		public void setMaxConsoleConnections(String maxConsoleConnections) {
-			this.maxConsoleConnections = maxConsoleConnections;
-		}
+		this.description = description;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="password"
+	 */
+	public String getPassword() {
+		return password;
+	}
+
+	/**
+	 * @param password
+	 * @uml.property  name="password"
+	 */
+	public void setPassword(String password) {
+		this.password = password;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="messages"
+	 */
+	public String getMessages() {
+		return messages;
+	}
+
+	/**
+	 * @param messages
+	 * @uml.property  name="messages"
+	 */
+	public void setMessages(String messages) {
+		this.messages = messages;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="workingdirectory"
+	 */
+	public String getWorkingdirectory() {
+		return workingdirectory;
+	}
+
+	/**
+	 * @param workingdirectory
+	 * @uml.property  name="workingdirectory"
+	 */
+	public void setWorkingdirectory(String workingdirectory) {
+		this.workingdirectory = workingdirectory;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="piddirectory"
+	 */
+	public String getPiddirectory() {
+		return piddirectory;
+	}
+
+	/**
+	 * @param piddirectory
+	 * @uml.property  name="piddirectory"
+	 */
+	public void setPiddirectory(String piddirectory) {
+		this.piddirectory = piddirectory;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="scriptsdirectory"
+	 */
+	public String getScriptsdirectory() {
+		return scriptsdirectory;
+	}
+
+	/**
+	 * @param scriptsdirectory
+	 * @uml.property  name="scriptsdirectory"
+	 */
+	public void setScriptsdirectory(String scriptsdirectory) {
+		this.scriptsdirectory = scriptsdirectory;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="queryfile"
+	 */
+	public String getQueryfile() {
+		return queryfile;
+	}
+
+	/**
+	 * @param queryfile
+	 * @uml.property  name="queryfile"
+	 */
+	public void setQueryfile(String queryfile) {
+		this.queryfile = queryfile;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="heartbeatinterval"
+	 */
+	public String getHeartbeatinterval() {
+		return heartbeatinterval;
+	}
+
+	/**
+	 * @param heartbeatinterval
+	 * @uml.property  name="heartbeatinterval"
+	 */
+	public void setHeartbeatinterval(String heartbeatinterval) {
+		this.heartbeatinterval = heartbeatinterval;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="maximumconcurrentjobs"
+	 */
+	public String getMaximumconcurrentjobs() {
+		return maximumconcurrentjobs;
+	}
+
+	/**
+	 * @param maximumconcurrentjobs
+	 * @uml.property  name="maximumconcurrentjobs"
+	 */
+	public void setMaximumconcurrentjobs(String maximumconcurrentjobs) {
+		this.maximumconcurrentjobs = maximumconcurrentjobs;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="fdconnecttimeout"
+	 */
+	public String getFdconnecttimeout() {
+		return fdconnecttimeout;
+	}
+
+	/**
+	 * @param fdconnecttimeout
+	 * @uml.property  name="fdconnecttimeout"
+	 */
+	public void setFdconnecttimeout(String fdconnecttimeout) {
+		this.fdconnecttimeout = fdconnecttimeout;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="sdconnecttimeout"
+	 */
+	public String getSdconnecttimeout() {
+		return sdconnecttimeout;
+	}
+
+	/**
+	 * @param sdconnecttimeout
+	 * @uml.property  name="sdconnecttimeout"
+	 */
+	public void setSdconnecttimeout(String sdconnecttimeout) {
+		this.sdconnecttimeout = sdconnecttimeout;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="diraddresses"
+	 */
+	public String getDiraddresses() {
+		return diraddresses;
+	}
+
+	/**
+	 * @param diraddresses
+	 * @uml.property  name="diraddresses"
+	 */
+	public void setDiraddresses(String diraddresses) {
+		this.diraddresses = diraddresses;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="dirport"
+	 */
+	public String getDirport() {
+		return dirport;
+	}
+
+	/**
+	 * @param dirport
+	 * @uml.property  name="dirport"
+	 */
+	public void setDirport(String dirport) {
+		this.dirport = dirport;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="diraddress"
+	 */
+	public String getDiraddress() {
+		return diraddress;
+	}
+
+	/**
+	 * @param diraddress
+	 * @uml.property  name="diraddress"
+	 */
+	public void setDiraddress(String diraddress) {
+		this.diraddress = diraddress;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="dirsourceaddress"
+	 */
+	public String getDirsourceaddress() {
+		return dirsourceaddress;
+	}
+
+	/**
+	 * @param dirsourceaddress
+	 * @uml.property  name="dirsourceaddress"
+	 */
+	public void setDirsourceaddress(String dirsourceaddress) {
+		this.dirsourceaddress = dirsourceaddress;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="statisticsretention"
+	 */
+	public String getStatisticsretention() {
+		return statisticsretention;
+	}
+
+	/**
+	 * @param statisticsretention
+	 * @uml.property  name="statisticsretention"
+	 */
+	public void setStatisticsretention(String statisticsretention) {
+		this.statisticsretention = statisticsretention;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="verid"
+	 */
+	public String getVerid() {
+		return verid;
+	}
+
+	/**
+	 * @param verid
+	 * @uml.property  name="verid"
+	 */
+	public void setVerid(String verid) {
+		this.verid = verid;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="maxconsoleconnections"
+	 */
+	public String getMaxconsoleconnections() {
+		return maxconsoleconnections;
+	}
+
+	/**
+	 * @param maxconsoleconnections
+	 * @uml.property  name="maxconsoleconnections"
+	 */
+	public void setMaxconsoleconnections(String maxconsoleconnections) {
+		this.maxconsoleconnections = maxconsoleconnections;
+	}
+
 
 
